package core;

import helpers.CryptoTaskConfig;
import helpers.WebTaskConfig;
import io.dropwizard.Configuration;
import objects.Team;

import java.util.List;

/**
 * Created by gpietrus on 16.02.16.
 */
public class ApplicationConfiguration extends Configuration {
    private String dbHost;
    private int dbPort;
    private String dbName;
    private String flagHashMethod;
    private List<Team> teams;
    private List<CryptoTaskConfig> cryptoTasks;
    private List<WebTaskConfig> webTasks;

    public List<CryptoTaskConfig> getCryptoTasks() {
        return cryptoTasks;
    }

    public void setCryptoTasks(List<CryptoTaskConfig> cryptoTasks) {
        this.cryptoTasks = cryptoTasks;
    }

    public List<WebTaskConfig> getWebTasks() {
        return webTasks;
    }

    public void setWebTasks(List<WebTaskConfig> webTasks) {
        this.webTasks = webTasks;
    }

    public String getFlagHashMethod() {
        return flagHashMethod;
    }

    public List<Team> getTeams() {
        return teams;
    }

    public void setTeams(List<Team> teams) {
        this.teams = teams;
    }

    public void setFlagHashMethod(String flagHashMethod) {
        this.flagHashMethod = flagHashMethod;
    }

    public String getDbHost() {
        return dbHost;
    }

    public void setDbHost(String dbHost) {
        this.dbHost = dbHost;
    }

    public int getDbPort() {
        return dbPort;
    }

    public void setDbPort(int dbPort) {
        this.dbPort = dbPort;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }
}
